# $Revision: 1.10 $, $Date: 2011/08/31 18:30:09 $
Summary:	Real-time packet viewer
Summary(pl.UTF-8):	Przeglądarka pakietów trybu rzeczywistego
Name:		pktstat
Version:	1.8.4
Release:	3
License:	BSD
Group:		Applications/Networking
Source0:	http://www.adaptive-enterprises.com.au/~d/software/pktstat/%{name}-%{version}.tar.gz
# Source0-md5:	56680a1bb256d10ea491dd418eb7f292
URL:		http://www.adaptive-enterprises.com.au/~d/software/pktstat/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Display a real-time list of active connections seen on a network
interface, and how much bandwidth is being used by what. Partially
decodes HTTP and FTP protocols to show what filename is being
transferred. X11 application names are also shown. Entries hang around
on the screen for a few seconds so you can see what just happened.
Also accepts filter expressions a'la tcpdump.

%description -l pl.UTF-8
Wyświetla na żywo listę połączeń widocznych na interfejsie sieciowym,
wraz z informacją co zajmuje pasmo. W szczególności dekoduje protokoły
HTTP oraz FTP, pokazując nazwę przesyłanego pliku. Nazwy aplikacji X11
również są pokazywane. Pozycje wyświetlane są przez kilka sekund, aby
można było zobaczyć co się dzieje. Przyjmuje filtry w składni podobnej
do tcpdumpa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%{__make} %{name} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	CPPFLAGS=-I/usr/include/ncurses

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/pktstat
%{_mandir}/man1/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pktstat.spec,v $
Revision 1.10  2011/08/31 18:30:09  arekm
- release 3

Revision 1.9  2010/04/03 17:24:25  glen
- release 2

Revision 1.8  2009/01/04 20:42:06  duddits
- up to 1.8.4

Revision 1.7  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.5  2006/03/09 11:18:52  qboosh
- BR: ac,am,lt

Revision 1.4  2006/03/08 11:42:06  maciek2w
- updated to 1.8.1

Revision 1.3  2006/01/27 11:29:08  gotar
- upgraded to 1.7.5

Revision 1.2  2006/01/01 13:23:51  darekr
- pass CC

Revision 1.1  2006/01/01 11:46:52  gotar
- initial PLD release
